Update configurations - Releases - Mercado Pago Developers
Update configurations

This endpoint updates the default settings of your reports. Keep in mind that when updating a configuration, you will need to execute the 'Create report' endpoint and then 'Download report'. In case of success, the request will return a response with status 200

PUT

https://api.mercadopago.com/v1/account/release_report/config
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
Body
columns
array

REQUIRED

Field with details of the columns that have been included in your report based on the values defined in the request. Find all possible values in the Glossary section (https://www.mercadopago.com/developers/en/docs/checko...View more
file_name_prefix
string

REQUIRED

Prefix that composes the report name once generated and ready for download. It does not allow empty or null values.
frequency
object

REQUIRED

This field indicates the frequency with which the report should be generated, which can be daily, weekly, or monthly.
sftp_info
object
This field provides the necessary connection data for us to access your server. It is optional and should only be sent if you want to receive the reports via SFTP.
Response parameters
file_name_prefix
string
Prefix that composes the report name once generated and ready for download. It does not allow empty or null values.
display_timezone
string
This field sets the date and time displayed in the reports. In the absence of a specific time zone configuration, the system defaults to GMT-04. For time zones subject to daylight saving time, manual adjustments will be ...View more
include_withdrawal_at_end
boolean
This field indicates whether withdrawal transactions made at the end of the specified date range in the report should be included.
scheduled
boolean
Informative field indicating whether there are already scheduled reports in the user's account. It will be 'true' if automatic generation is enabled, and 'false' if it is disabled.
Errors

400Error.

Invalid file_name_prefix

Invalid file name prefix.

Invalid execute_after_withdrawal

Invalid execute after withdrawal.

Invalid columns

Invalid columns.

Invalid frequency

Invalid frequency.

Invalid SFTP info

Invalid SFTP info.

Invalid webhook

Invalid webhook.

Invalid file config

Invalid file config.

Invalid report_language

Invalid report language.

401Unauthorized

invalid token

Invalid token.

Request
curl -X PUT \
    'https://api.mercadopago.com/v1/account/release_report/config'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-8*********932064-12*********edf6d3c99*********2236c703f*********668' \
    -d '{
  "columns": [
    {
      "key": "SOURCE_ID"
    }
  ],
  "file_name_prefix": "conciliation-settlement-report",
  "frequency": {
    "hour": 0,
    "value": 1,
    "type": "monthly"
  },
  "sftp_info": {
    "server": "sftp.myserver.com",
    "password": "mypassword",
    "remote_dir": "/myfolder",
    "port": 22,
    "username": "username"
  },
  "separator": ";",
  "display_timezone": "GMT-04",
  "report_translation": "es",
  "include_withdrawal_at_end": false,
  "check_available_balance": false,
  "compensate_detail": false,
  "execute_after_withdrawal": false,
  "scheduled": false
}'
Response
{
  "file_name_prefix": "release-report-USER_ID",
  "display_timezone": "GMT-04",
  "include_withdrawal_at_end": true,
  "scheduled": false,
  "execute_after_withdrawal": false,
  "columns": [
    {
      "key": "SOURCE_ID"
    }
  ],
  "report_translation": "es",
  "frequency": {
    "hour": 0,
    "value": 1,
    "type": "monthly"
  }
}